commit 333d00ff4d108370ea0e1e561910740bf0d73eb5
Author: Markos Gogoulos <mgogoulos@unweb.me>
Date:   Tue Apr 12 15:07:36 2011 +0300

    rename os images files
    
    Refs #257

diff --git a/ui/static/machines/archlinux-on.png b/ui/static/machines/archlinux-on.png
new file mode 100644
index 0000000..1a41419
Binary files /dev/null and b/ui/static/machines/archlinux-on.png differ
diff --git a/ui/static/machines/archlinux.png b/ui/static/machines/archlinux.png
deleted file mode 100644
index 1a41419..0000000
Binary files a/ui/static/machines/archlinux.png and /dev/null differ
diff --git a/ui/static/machines/centos-on.png b/ui/static/machines/centos-on.png
new file mode 100644
index 0000000..2ce596e
Binary files /dev/null and b/ui/static/machines/centos-on.png differ
diff --git a/ui/static/machines/centos.png b/ui/static/machines/centos.png
deleted file mode 100644
index 2ce596e..0000000
Binary files a/ui/static/machines/centos.png and /dev/null differ
diff --git a/ui/static/machines/debian-on.png b/ui/static/machines/debian-on.png
new file mode 100644
index 0000000..bdcdca4
Binary files /dev/null and b/ui/static/machines/debian-on.png differ
diff --git a/ui/static/machines/debian.png b/ui/static/machines/debian.png
deleted file mode 100644
index bdcdca4..0000000
Binary files a/ui/static/machines/debian.png and /dev/null differ
diff --git a/ui/static/machines/freebsd-on.png b/ui/static/machines/freebsd-on.png
new file mode 100644
index 0000000..a9390a0
Binary files /dev/null and b/ui/static/machines/freebsd-on.png differ
diff --git a/ui/static/machines/freebsd.png b/ui/static/machines/freebsd.png
deleted file mode 100644
index a9390a0..0000000
Binary files a/ui/static/machines/freebsd.png and /dev/null differ
diff --git a/ui/static/machines/gentoo-on.png b/ui/static/machines/gentoo-on.png
new file mode 100644
index 0000000..1cb741e
Binary files /dev/null and b/ui/static/machines/gentoo-on.png differ
diff --git a/ui/static/machines/gentoo.png b/ui/static/machines/gentoo.png
deleted file mode 100644
index 1cb741e..0000000
Binary files a/ui/static/machines/gentoo.png and /dev/null differ
diff --git a/ui/static/machines/netbsd-on.png b/ui/static/machines/netbsd-on.png
new file mode 100644
index 0000000..4be0a09
Binary files /dev/null and b/ui/static/machines/netbsd-on.png differ
diff --git a/ui/static/machines/netbsd.png b/ui/static/machines/netbsd.png
deleted file mode 100644
index 4be0a09..0000000
Binary files a/ui/static/machines/netbsd.png and /dev/null differ
diff --git a/ui/static/machines/openbsd-on.png b/ui/static/machines/openbsd-on.png
new file mode 100644
index 0000000..0eaff11
Binary files /dev/null and b/ui/static/machines/openbsd-on.png differ
diff --git a/ui/static/machines/openbsd.png b/ui/static/machines/openbsd.png
deleted file mode 100644
index 0eaff11..0000000
Binary files a/ui/static/machines/openbsd.png and /dev/null differ
diff --git a/ui/static/machines/redhat-on.png b/ui/static/machines/redhat-on.png
new file mode 100644
index 0000000..e15690a
Binary files /dev/null and b/ui/static/machines/redhat-on.png differ
diff --git a/ui/static/machines/redhat.png b/ui/static/machines/redhat.png
deleted file mode 100644
index e15690a..0000000
Binary files a/ui/static/machines/redhat.png and /dev/null differ
diff --git a/ui/static/machines/slackware-on.png b/ui/static/machines/slackware-on.png
new file mode 100644
index 0000000..dead2e5
Binary files /dev/null and b/ui/static/machines/slackware-on.png differ
diff --git a/ui/static/machines/slackware.png b/ui/static/machines/slackware.png
deleted file mode 100644
index dead2e5..0000000
Binary files a/ui/static/machines/slackware.png and /dev/null differ
diff --git a/ui/static/machines/suse-on.png b/ui/static/machines/suse-on.png
new file mode 100644
index 0000000..b82d283
Binary files /dev/null and b/ui/static/machines/suse-on.png differ
diff --git a/ui/static/machines/suse.png b/ui/static/machines/suse.png
deleted file mode 100644
index b82d283..0000000
Binary files a/ui/static/machines/suse.png and /dev/null differ
diff --git a/ui/static/machines/ubuntu-on.png b/ui/static/machines/ubuntu-on.png
new file mode 100644
index 0000000..7d329b9
Binary files /dev/null and b/ui/static/machines/ubuntu-on.png differ
diff --git a/ui/static/machines/ubuntu.png b/ui/static/machines/ubuntu.png
deleted file mode 100644
index 7d329b9..0000000
Binary files a/ui/static/machines/ubuntu.png and /dev/null differ
diff --git a/ui/static/machines/unknown-on.png b/ui/static/machines/unknown-on.png
new file mode 100644
index 0000000..8145e8d
Binary files /dev/null and b/ui/static/machines/unknown-on.png differ
diff --git a/ui/static/machines/unknown.png b/ui/static/machines/unknown.png
deleted file mode 100644
index 8145e8d..0000000
Binary files a/ui/static/machines/unknown.png and /dev/null differ
diff --git a/ui/static/machines/windows-on.png b/ui/static/machines/windows-on.png
new file mode 100644
index 0000000..24722ab
Binary files /dev/null and b/ui/static/machines/windows-on.png differ
diff --git a/ui/static/machines/windows.png b/ui/static/machines/windows.png
deleted file mode 100644
index 24722ab..0000000
Binary files a/ui/static/machines/windows.png and /dev/null differ
diff --git a/ui/templates/standard.html b/ui/templates/standard.html
index 4dc5c36..2eba926 100644
--- a/ui/templates/standard.html
+++ b/ui/templates/standard.html
@@ -227,7 +227,7 @@ function update_machines_view(data){
                     // from stopped, on error or starting to building, active or rebooting
                     // starting is not an api state, it means the vm is stopped or on error
                     moved = existing.clone().appendTo(".running");
-                    moved.find("img.logo").attr("src","static/machines/" + server_image + '.png');
+                    moved.find("img.logo").attr("src","static/machines/" + server_image + '-on.png');
                     existing.remove();
                     existing = moved;
                     existing.find(".status").text(STATUS_MESSAGES[server.status]); 
@@ -268,7 +268,7 @@ function update_machines_view(data){
             // If it does not exist and it's not deleted, we should create it
             var machine = $("#machine-template").clone().attr("id", server.id).fadeIn("slow");
             machine.find("a.name span.name").text(server.name);
-            machine.find("img.logo").attr("src","static/machines/"+server_image+'.png');
+            machine.find("img.logo").attr("src","static/machines/"+server_image+'-on.png');
             machine.find("span.imagetag").text(server_image);
             machine.find("a.ip span.public").text(String(server.addresses.values[0].values[0].addr).replace(',',' '));            
             machine.find(".status").text(STATUS_MESSAGES[server.status]);
